FROM alpine:latest
MAINTAINER Jamie Tanna <docker@jamietanna.co.uk>

WORKDIR "/site"

RUN apk update && \
    apk upgrade && \
	apk add ruby-dev ruby-bundler && \
	apk add git \
		build-base \
		openssh-client

ADD Gemfile.deploy /site/Gemfile

RUN bundle install

# Bake Capistrano config into image {{{
# build the base file structure so we can copy into the correct directories
RUN mkdir -p /site/config /site/lib/capistrano

ADD Capfile /site

ADD config/deploy.rb /site/config
# }}}
